aboutsummaryrefslogtreecommitdiff
path: root/lpr-ssh
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-04-22 09:16:54 -0300
committerSilvio Rhatto <rhatto@riseup.net>2017-04-22 09:16:54 -0300
commit09e2d9be7d4520084014b36d057774591379c1d4 (patch)
treeb4fb16af561e65f9b9d740e3db7c189e048570c6 /lpr-ssh
downloadlpr-ssh-master.tar.gz
lpr-ssh-master.tar.bz2
Initial importHEADmaster
Diffstat (limited to 'lpr-ssh')
-rwxr-xr-xlpr-ssh33
1 files changed, 33 insertions, 0 deletions
diff --git a/lpr-ssh b/lpr-ssh
new file mode 100755
index 0000000..abb29b8
--- /dev/null
+++ b/lpr-ssh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# LPR over SSH - prints local file in a remote printer using SSH and lpr.
+# Copyright (C) 2017 Silvio Rhatto - rhatto at riseup.net
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# Parameters
+BASENAME="`basename $0`"
+SERVER="$1"
+
+# Shift
+shift
+
+# Check
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME <server> <file>"
+ exit 1
+elif [ ! -e "$*" ]; then
+ echo "no such file: $*"
+ exit 1
+fi
+
+# Proceed
+cat "$*" | ssh $SERVER lpr